<?xml version="1.0" encoding="UTF-8"?>
<include xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="urn:magento:module:Magento_Config:etc/system_include.xsd">
    <section id="newsletter_popup" translate="label" sortOrder="30" showInDefault="1" showInWebsite="1" showInStore="1">
        <class>separator-top</class>
        <label>Newsletter Popup</label>
        <tab>refilo</tab>
        <resource>FiloBlu_Refilo::refilo_config</resource>
        <group id="general" translate="label" type="text" sortOrder="10" showInDefault="1" showInWebsite="1" showInStore="1">
            <label>General Configurations</label>
            <field id="enable_popup" translate="label comment" type="select" sortOrder="10" showInDefault="1" showInWebsite="1" showInStore="1">
                <label>Enabled</label>
                <source_model>Magento\Config\Model\Config\Source\Enabledisable</source_model>
            </field>
            <field id="enable_auto_open" translate="label comment" type="select" sortOrder="20" showInDefault="1" showInWebsite="1" showInStore="1">
                <label>Enable Auto open</label>
                <source_model>Magento\Config\Model\Config\Source\Enabledisable</source_model>
            </field>
            <field id="close_timeout" translate="label comment" type="text" sortOrder="30" showInDefault="1" showInWebsite="1" showInStore="1">
                <label>Close Timeout</label>
            </field>
            <field id="open_timeout" translate="label comment" type="text" sortOrder="40" showInDefault="1" showInWebsite="1" showInStore="1">
                <label>Open Timeout</label>
            </field>
            <field id="cookie_name" translate="label comment" type="text" sortOrder="50" showInDefault="1" showInWebsite="1" showInStore="1">
                <label>Cookie Name</label>
            </field>
            <field id="cookie_lifetime" translate="label comment" type="text" sortOrder="60" showInDefault="1" showInWebsite="1" showInStore="1">
                <label>Cookie Lifetime</label>
            </field>
            <field id="disabled_paths" translate="label" type="select" sortOrder="70" showInDefault="1" showInWebsite="1" showInStore="1">
                <label>Disabled paths</label>
                <frontend_model>FiloBlu\Refilo\Block\Adminhtml\System\Config\PathList</frontend_model>
                <backend_model>FiloBlu\Refilo\Model\Config\Backend\Serialized\ArraySerialized</backend_model>
            </field>
            <field id="visited_before_open" translate="label comment" type="text" sortOrder="80" showInDefault="1" showInWebsite="1" showInStore="1">
                <label>Page opened before activation</label>
                <comment>Specify the number of page visited before the popup activation, leave it empty to trigger it on landing</comment>
            </field>
        </group>
        <group id="fields" translate="label" type="text" sortOrder="20" showInDefault="1" showInWebsite="1"
               showInStore="1">
            <label>Fields</label>
            <field id="firstname_enabled" translate="label" type="select" sortOrder="10" showInDefault="1" showInWebsite="1" showInStore="1">
                <label>Firstname Enabled</label>
                <source_model>Magento\Config\Model\Config\Source\Enabledisable</source_model>
            </field>
            <field id="firstname_required" translate="label" type="select" sortOrder="20" showInDefault="1" showInWebsite="1" showInStore="1">
                <label>Firstname Required</label>
                <source_model>Magento\Config\Model\Config\Source\Enabledisable</source_model>
                <depends>
                    <field id="firstname_enabled">1</field>
                </depends>
            </field>
            <field id="lastname_enabled" translate="label" type="select" sortOrder="30" showInDefault="1" showInWebsite="1" showInStore="1">
                <label>Lastname Enabled</label>
                <source_model>Magento\Config\Model\Config\Source\Enabledisable</source_model>
            </field>
            <field id="lastname_required" translate="label" type="select" sortOrder="40" showInDefault="1" showInWebsite="1" showInStore="1">
                <label>Lastname Required</label>
                <source_model>Magento\Config\Model\Config\Source\Enabledisable</source_model>
                <depends>
                    <field id="lastname_enabled">1</field>
                </depends>
            </field>
            <field id="dob_enabled" translate="label" type="select" sortOrder="50" showInDefault="1" showInWebsite="1" showInStore="1">
                <label>Dob Enabled</label>
                <source_model>Magento\Config\Model\Config\Source\Enabledisable</source_model>
            </field>
            <field id="dob_required" translate="label" type="select" sortOrder="60" showInDefault="1" showInWebsite="1" showInStore="1">
                <label>Dob Required</label>
                <source_model>Magento\Config\Model\Config\Source\Enabledisable</source_model>
                <depends>
                    <field id="dob_enabled">1</field>
                </depends>
            </field>
            <field id="gender_enabled" translate="label" type="select" sortOrder="70" showInDefault="1" showInWebsite="1" showInStore="1">
                <label>Gender Enabled</label>
                <source_model>Magento\Config\Model\Config\Source\Enabledisable</source_model>
            </field>
            <field id="gender_required" translate="label" type="select" sortOrder="80" showInDefault="1" showInWebsite="1" showInStore="1">
                <label>Gender Required</label>
                <source_model>Magento\Config\Model\Config\Source\Enabledisable</source_model>
                <depends>
                    <field id="gender_enabled">1</field>
                </depends>
            </field>
            <field id="gender_list" translate="label" type="select" sortOrder="90" showInDefault="1" showInWebsite="1" showInStore="1">
                <label>Gender List</label>
                <frontend_model>FiloBlu\Refilo\Block\Adminhtml\System\Config\ConfigList</frontend_model>
                <backend_model>FiloBlu\Refilo\Model\Config\Backend\Serialized\ArraySerialized</backend_model>
            </field>
            <field id="country_enabled" translate="label" type="select" sortOrder="100" showInDefault="1" showInWebsite="1" showInStore="1">
                <label>Country Enabled</label>
                <source_model>Magento\Config\Model\Config\Source\Enabledisable</source_model>
            </field>
            <field id="country_required" translate="label" type="select" sortOrder="110" showInDefault="1" showInWebsite="1" showInStore="1">
                <label>Country Required</label>
                <source_model>Magento\Config\Model\Config\Source\Enabledisable</source_model>
                <depends>
                    <field id="country_enabled">1</field>
                </depends>
            </field>
            <field id="collections_enabled" translate="label" type="select" sortOrder="120" showInDefault="1" showInWebsite="1" showInStore="1">
                <label>Collections Enabled</label>
                <source_model>Magento\Config\Model\Config\Source\Enabledisable</source_model>
            </field>
            <field id="collections_required" translate="label" type="select" sortOrder="130" showInDefault="1" showInWebsite="1" showInStore="1">
                <label>Collections Required</label>
                <source_model>Magento\Config\Model\Config\Source\Enabledisable</source_model>
                <depends>
                    <field id="collections_enabled">1</field>
                </depends>
            </field>
            <field id="collections_list" translate="label" type="select" sortOrder="140" showInDefault="1" showInWebsite="1" showInStore="1">
                <label>Collections List</label>
                <frontend_model>FiloBlu\Refilo\Block\Adminhtml\System\Config\ConfigList</frontend_model>
                <backend_model>FiloBlu\Refilo\Model\Config\Backend\Serialized\ArraySerialized</backend_model>
            </field>
            <field id="phone_enabled" translate="label" type="select" sortOrder="150" showInDefault="1" showInWebsite="1" showInStore="1">
                <label>Phone Enabled</label>
                <source_model>Magento\Config\Model\Config\Source\Enabledisable</source_model>
            </field>
            <field id="phone_required" translate="label" type="select" sortOrder="160" showInDefault="1" showInWebsite="1" showInStore="1">
                <label>Phone Required</label>
                <source_model>Magento\Config\Model\Config\Source\Enabledisable</source_model>
                <depends>
                    <field id="phone_enabled">1</field>
                </depends>
            </field>
        </group>
    </section>
</include>
